### Method

# Adw NavigationViewpop_to_page

since: 1.4

#### Declaration [src]

    gboolean
    adw_navigation_view_pop_to_page (
      AdwNavigationView* self,
      AdwNavigationPage* page
    )

#### Description [src]

Pops pages from the navigation stack until `page` is visible.

`page` must be in the navigation stack.

If `adw_navigation_view_add()` hasn’t been called for any of the popped pages, they are automatically removed.

`AdwNavigationView::popped` will be be emitted for each of the popped pages.

See `adw_navigation_view_pop()` and `adw_navigation_view_pop_to_tag()`.

Available since: 1.4

#### Parameters

`page`

  Type: `AdwNavigationPage`

  The page to pop to.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if any pages have been popped.